Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5116)
@@ -281,5 +281,5 @@
   CALL pbl_surface_init( fder, snsrf, qsurf, tsoil )
 
-  IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) then
+  IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) THEN
      delta_tsurf = 0.
      beta_aridity = 0.
@@ -539,5 +539,5 @@
   do j=2,jmp1-1
      PRINT*,'avant if ',cos(rlatu(j)),coslat0
-     if (cos(rlatu(j))<coslat0) then
+     if (cos(rlatu(j))<coslat0) THEN
          ! nb de pts affectes par le filtrage de part et d'autre du pt
          ifiltre=(coslat0/cos(rlatu(j))-1.)/2.
@@ -548,5 +548,5 @@
          wwf(ifiltre+1)=(coslat0/cos(rlatu(j))-1.)/2.-ifiltre
          do i=1,imp1-1
-            if (masque(i,j)>0.9) then
+            if (masque(i,j)>0.9) THEN
                ssz=phis(i,j)
                do ifi=1,ifiltre+1
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5116)
@@ -331,4 +331,5 @@
       USE indice_sol_mod
       USE lmdz_abort_physic, ONLY: abort_physic
+      USE lmdz_libmath, ONLY: minmax
 
       IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5116)
@@ -13,7 +13,7 @@
     ! the surface pressure, which sample possible values on Earth.
 
-    use exner_hyb_m, only: exner_hyb
-    use lmdz_vertical_layers, only: ap,bp,preff
-    use comconst_mod, only: kappa, cpp
+    use exner_hyb_m, ONLY: exner_hyb
+    use lmdz_vertical_layers, ONLY: ap,bp,preff
+    use comconst_mod, ONLY: kappa, cpp
     USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -42,14 +42,14 @@
 
     ! Are pressure values in the right order?
-    if (any(p(:, :llm) <= p_lay .or. p_lay <= p(:, 2:))) then
+    if (any(p(:, :llm) <= p_lay .or. p_lay <= p(:, 2:))) THEN
        ! List details and stop:
        do l = 1, llm
           do i = 1, ngrid
-             if (p(i, l) <= p_lay(i, l)) then
+             if (p(i, l) <= p_lay(i, l)) THEN
                 print 1000, "ps = ", ps(i) / 100., "hPa, p(level ",  l, &
                      ") = ", p(i, l) / 100., " hPa <= p(layer ", l, ") = ", &
                      p_lay(i, l) / 100., " hPa"
              end if
-             if (p_lay(i, l) <= p(i, l + 1)) then
+             if (p_lay(i, l) <= p(i, l + 1)) THEN
                 print 1000, "ps = ", ps(i) / 100., "hPa, p(layer ", l, ") = ", &
                      p_lay(i, l) / 100., " hPa <= p(level ", l + 1, ") = ", &
Index: /LMDZ6/branches/Amaury_dev/libf/filtrez/eigen.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/filtrez/eigen.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/filtrez/eigen.f90	(revision 5116)
@@ -4,7 +4,7 @@
   IMPLICIT NONE
   INCLUDE "dimensions.h"
-  real :: e( iim,iim ), d( iim )
-  real :: asm( iim )
-  integer :: im,i,j
+  REAL :: e( iim,iim ), d( iim )
+  REAL :: asm( iim )
+  INTEGER :: im,i,j
   im=iim
   !
Index: /LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90	(revision 5116)
@@ -433,8 +433,8 @@
 
     ! local variables:
-    integer :: IP, IQ, I, J
-    real :: SM, TRESH, G, H, T, THETA, C, S, TAU
-    real :: B(N)
-    real :: Z(N)
+    INTEGER :: IP, IQ, I, J
+    REAL :: SM, TRESH, G, H, T, THETA, C, S, TAU
+    REAL :: B(N)
+    REAL :: Z(N)
 
     DO IP = 1, N
@@ -558,8 +558,8 @@
   SUBROUTINE acc(vec, d, im)
     IMPLICIT NONE
-    integer :: im
-    real :: vec(im, im), d(im)
-    integer :: i, j
-    real :: sum
+    INTEGER :: im
+    REAL :: vec(im, im), d(im)
+    INTEGER :: i, j
+    REAL :: sum
     real, external :: ssum
     do j = 1, im
@@ -573,6 +573,6 @@
       enddo
     enddo
-    return
-  end subroutine acc
+    RETURN
+  END SUBROUTINE acc
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90	(revision 5116)
@@ -15,5 +15,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1
-    if (.not. n1) then
+    if (.not. n1) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -26,5 +26,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1, n2
-    if (.not. (n1 .and. n2)) then
+    if (.not. (n1 .and. n2)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -37,5 +37,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1, n2, n3
-    if (.not. (n1 .and. n2 .and. n3)) then
+    if (.not. (n1 .and. n2 .and. n3)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -48,5 +48,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1, n2, n3, n4
-    if (.not. (n1 .and. n2 .and. n3 .and. n4)) then
+    if (.not. (n1 .and. n2 .and. n3 .and. n4)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -59,5 +59,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, DIMENSION(:), INTENT(IN) :: n
-    if (.not. all(n)) then
+    if (.not. all(n)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_coefpoly.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_coefpoly.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_coefpoly.f90	(revision 5116)
@@ -1,5 +1,6 @@
 module lmdz_coefpoly
 
-  IMPLICIT NONE
+  IMPLICIT NONE; PRIVATE
+  PUBLIC coefpoly
 
 contains
@@ -25,5 +26,5 @@
     ! a0, a1, a2, a3.
 
-    use nrtype, only: k8
+    use nrtype, ONLY: k8
 
     REAL(K8), intent(in) :: xf1, xf2, xprim1, xprim2, xtild1, xtild2
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90	(revision 5116)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90	(revision 5116)
@@ -0,0 +1,54 @@
+MODULE lmdz_formcoord
+  IMPLICIT NONE; PRIVATE
+  PUBLIC formcoord
+CONTAINS
+
+  SUBROUTINE formcoord(unit, n, x, a, rev, text)
+    IMPLICIT NONE
+    INTEGER :: n, unit, ndec
+    logical :: rev
+    REAL :: x(n), a
+    CHARACTER(LEN = 4) :: text
+
+    INTEGER :: i, id, i1, i2, in
+    REAL :: dx, dxmin
+
+    IF(rev) THEN
+      id = -1
+      i1 = n
+      i2 = n - 1
+      in = 1
+      WRITE(unit, 3000) text(1:1)
+    else
+      id = 1
+      i1 = 1
+      i2 = 2
+      in = n
+    endif
+
+    if (n<2) THEN
+      ndec = 1
+      WRITE(unit, 1000) text, n, x(1) * a
+    else
+      dxmin = abs(x(2) - x(1))
+      do i = 2, n - 1
+        dx = abs(x(i + 1) - x(i))
+        if (dx<dxmin) dxmin = dx
+      enddo
+
+      ndec = -log10(dxmin) + 2
+      IF(mod(n, 6)==1) THEN
+        WRITE(unit, 1000) text, n, x(i1) * a
+        WRITE(unit, 2000) (x(i) * a, i=i2, in, id)
+      else
+        WRITE(unit, 1000) text, n
+        WRITE(unit, 2000) (x(i) * a, i=i1, in, id)
+      endif
+    endif
+
+    1000   format(a4, 2x, i4, ' LEVELS', 43x, f12.2)
+    2000   format(6f12.2)
+    3000   format('FORMAT ', a1, 'REV')
+
+  END SUBROUTINE formcoord
+END MODULE lmdz_formcoord
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90	(revision 5116)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90	(revision 5116)
@@ -0,0 +1,139 @@
+! $Id$
+module lmdz_interpolation
+
+  ! From Press et al., 1996, version 2.10a
+  ! B3 Interpolation and Extrapolation
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC locate, hunt
+
+contains
+
+  pure FUNCTION locate(xx, x)
+
+    REAL, DIMENSION(:), INTENT(IN) :: xx
+    REAL, INTENT(IN) :: x
+    INTEGER  locate
+
+    ! Given an array xx(1:N), and given a value x, returns a value j,
+    ! between 0 and N, such that x is between xx(j) and xx(j + 1). xx
+    ! must be monotonic, either increasing or decreasing. j = 0 or j =
+    ! N is returned to indicate that x is out of range. This
+    ! procedure should not be called with a zero-sized array argument.
+    ! See notes.
+
+    INTEGER  n, jl, jm, ju
+    LOGICAL  ascnd
+
+    !----------------------------
+
+    n = size(xx)
+    ascnd = (xx(n) >= xx(1))
+    ! (True if ascending order of table, false otherwise.)
+    ! Initialize lower and upper limits:
+    jl = 0
+    ju = n + 1
+    do while (ju - jl > 1)
+      jm = (ju + jl) / 2 ! Compute a midpoint,
+      if (ascnd .eqv. (x >= xx(jm))) THEN
+        jl = jm ! and replace either the lower limit
+      else
+        ju = jm ! or the upper limit, as appropriate.
+      end if
+    END DO
+    ! {ju == jl + 1}
+
+    ! {(ascnd .and. xx(jl) <= x < xx(jl+1)) 
+    !  .neqv. 
+    !  (.not. ascnd .and. xx(jl+1) <= x < xx(jl))}
+
+    ! Then set the output, being careful with the endpoints:
+    if (x == xx(1)) THEN
+      locate = 1
+    else if (x == xx(n)) THEN
+      locate = n - 1
+    else
+      locate = jl
+    end if
+
+  END FUNCTION locate
+
+  !***************************
+
+  pure SUBROUTINE hunt(xx, x, jlo)
+
+    ! Given an array xx(1:N ), and given a value x, returns a value
+    ! jlo such that x is between xx(jlo) and xx(jlo+1). xx must be
+    ! monotonic, either increasing or decreasing. jlo = 0 or jlo = N is
+    ! returned to indicate that x is out of range. jlo on input is taken as
+    ! the initial guess for jlo on output.
+    ! Modified so that it uses the information "jlo = 0" on input.
+
+    INTEGER, INTENT(INOUT) :: jlo
+    REAL, INTENT(IN) :: x
+    REAL, DIMENSION(:), INTENT(IN) :: xx
+    INTEGER  n, inc, jhi, jm
+    LOGICAL  ascnd, hunt_up
+
+    !-----------------------------------------------------
+
+    n = size(xx)
+    ascnd = (xx(n) >= xx(1))
+    ! (True if ascending order of table, false otherwise.)
+    if (jlo < 0 .or. jlo > n) THEN
+      ! Input guess not useful. Go immediately to bisection.
+      jlo = 0
+      jhi = n + 1
+    else
+      inc = 1 ! Set the hunting increment.
+      if (jlo == 0) THEN
+        hunt_up = .TRUE.
+      else
+        hunt_up = x >= xx(jlo) .eqv. ascnd
+      end if
+      if (hunt_up) then ! Hunt up:
+        do
+          jhi = jlo + inc
+          if (jhi > n) then ! Done hunting, since off end of table.
+            jhi = n + 1
+            exit
+          else
+            if (x < xx(jhi) .eqv. ascnd) exit
+            jlo = jhi ! Not done hunting,
+            inc = inc + inc ! so double the increment
+          end if
+        END DO ! and try again.
+      else ! Hunt down:
+        jhi = jlo
+        do
+          jlo = jhi - inc
+          if (jlo < 1) then ! Done hunting, since off end of table.
+            jlo = 0
+            exit
+          else
+            if (x >= xx(jlo) .eqv. ascnd) exit
+            jhi = jlo ! Not done hunting,
+            inc = inc + inc ! so double the increment
+          end if
+        END DO ! and try again.
+      end if
+    end if ! Done hunting, value bracketed.
+
+    do ! Hunt is done, so begin the final bisection phase:
+      if (jhi - jlo <= 1) THEN
+        if (x == xx(n)) jlo = n - 1
+        if (x == xx(1)) jlo = 1
+        exit
+      else
+        jm = (jhi + jlo) / 2
+        if (x >= xx(jm) .eqv. ascnd) THEN
+          jlo = jm
+        else
+          jhi = jm
+        end if
+      end if
+    END DO
+
+  END SUBROUTINE hunt
+
+end module lmdz_interpolation
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath.f90	(revision 5116)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath.f90	(revision 5116)
@@ -0,0 +1,61 @@
+! Library for misc. useful math functions
+
+MODULE lmdz_libmath
+  IMPLICIT NONE; PRIVATE
+  PUBLIC ismin, ismax
+
+CONTAINS
+
+  function ismax(n, sx, incx)
+    INTEGER :: n, i, incx, ismax, ix
+    REAL :: sx((n - 1) * incx + 1), sxmax
+
+    ix = 1
+    ismax = 1
+    sxmax = sx(1)
+    do i = 1, n - 1
+      ix = ix + incx
+      IF(sx(ix)>sxmax) THEN
+        sxmax = sx(ix)
+        ismax = i + 1
+      endif
+    END DO
+  END FUNCTION ismax
+
+
+  FUNCTION ismin(n, sx, incx)
+    INTEGER :: n, i, incx, ismin, ix
+    REAL :: sx((n - 1) * incx + 1), sxmin
+    !
+    ix = 1
+    ismin = 1
+    sxmin = sx(1)
+    DO i = 1, n - 1
+      ix = ix + incx
+      IF(sx(ix)<sxmin) THEN
+        sxmin = sx(ix)
+        ismin = i + 1
+      endif
+    ENDDO
+  END FUNCTION ismin
+
+  SUBROUTINE minmax(imax, xi, zmin, zmax)
+    !
+    !  P. Le Van
+
+    INTEGER :: imax
+    REAL :: xi(imax)
+    REAL :: zmin, zmax
+    INTEGER :: i
+
+    zmin = xi(1)
+    zmax = xi(1)
+
+    DO i = 2, imax
+      zmin = MIN(zmin, xi(i))
+      zmax = MAX(zmax, xi(i))
+    ENDDO
+
+  END SUBROUTINE minmax
+
+END MODULE lmdz_libmath
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath_pch.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath_pch.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath_pch.f90	(revision 5116)
@@ -489,5 +489,5 @@
     ! the points  XE.
 
-    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert_eq, ONLY: assert_eq
 
     REAL, intent(in) :: X(:) ! real array of independent variable values
@@ -572,5 +572,5 @@
     ! 2001, pages 43-47
 
-    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert_eq, ONLY: assert_eq
 
     real, intent(in) :: x(:)
@@ -638,9 +638,9 @@
 
     n = assert_eq(size(x), size(f), "pchsp_95 n")
-    if ((ibeg == 1 .or. ibeg == 2) .and. .not. present(vc_beg)) then
+    if ((ibeg == 1 .or. ibeg == 2) .and. .not. present(vc_beg)) THEN
       print *, "vc_beg required for IBEG = 1 or 2"
       stop 1
     end if
-    if ((iend == 1 .or. iend == 2) .and. .not. present(vc_end)) then
+    if ((iend == 1 .or. iend == 2) .and. .not. present(vc_end)) THEN
       print *, "vc_end required for IEND = 1 or 2"
       stop 1
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_xer.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_xer.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_xer.f90	(revision 5116)
@@ -748,5 +748,5 @@
     !     intrinsic function LEN is used to determine its length.  If
     !         it is zero, PREFIX is not used.  If it exceeds 16 or if
-    !     LEN(PREFIX) exceeds 16, only the first 16 characters will be
+    !     LEN(PREFIX) exceeds 16, ONLY the first 16 characters will be
     !     used.  If NPREF is positive and the length of PREFIX is less
     !     than NPREF, a copy of PREFIX extended with blanks to length
@@ -1055,4 +1055,72 @@
   END SUBROUTINE XERCNT
 
+  !DECK J4SAVE
+  FUNCTION J4SAVE(IWHICH, IVALUE, ISET)
+    IMPLICIT NONE
+    !***BEGIN PROLOGUE  J4SAVE
+    !***SUBSIDIARY
+    !***PURPOSE  Save or reCALL global variables needed by error
+    ! handling routines.
+    !***LIBRARY   SLATEC (XERROR)
+    !***TYPE      INTEGER (J4SAVE-I)
+    !***KEYWORDS  ERROR MESSAGES, ERROR NUMBER, RECALL, SAVE, XERROR
+    !***AUTHOR  Jones, R. E., (SNLA)
+    !***DESCRIPTION
+    !
+    ! Abstract
+    !    J4SAVE saves and recalls several global variables needed
+    !    by the library error handling routines.
+    !
+    ! Description of Parameters
+    !  --Input--
+    !    IWHICH - Index of item desired.
+    !            = 1 Refers to current error number.
+    !            = 2 Refers to current error control flag.
+    !            = 3 Refers to current unit number to which error
+    !                messages are to be sent.  (0 means use standard.)
+    !            = 4 Refers to the maximum number of times any
+    !                 message is to be printed (as set by XERMAX).
+    !            = 5 Refers to the total number of units to which
+    !                 each error message is to be written.
+    !            = 6 Refers to the 2nd unit for error messages
+    !            = 7 Refers to the 3rd unit for error messages
+    !            = 8 Refers to the 4th unit for error messages
+    !            = 9 Refers to the 5th unit for error messages
+    !    IVALUE - The value to be set for the IWHICH-th parameter,
+    !             if ISET is .TRUE. .
+    !    ISET   - If ISET=.TRUE., the IWHICH-th parameter will BE
+    !             given the value, IVALUE.  If ISET=.FALSE., the
+    !             IWHICH-th parameter will be unchanged, and IVALUE
+    !             is a dummy parameter.
+    !  --Output--
+    !    The (old) value of the IWHICH-th parameter will be returned
+    !    in the function value, J4SAVE.
+    !
+    !***SEE ALSO  XERMSG
+    !***REFERENCES  R. E. Jones and D. K. Kahaner, XERROR, the SLATEC
+    !             Error-handling Package, SAND82-0800, Sandia
+    !             Laboratories, 1982.
+    !***ROUTINES CALLED  (NONE)
+    !***REVISION HISTORY  (YYMMDD)
+    !   790801  DATE WRITTEN
+    !   891214  Prologue converted to Version 4.0 format.  (BAB)
+    !   900205  Minor modifications to prologue.  (WRB)
+    !   900402  Added TYPE section.  (WRB)
+    !   910411  Added KEYWORDS section.  (WRB)
+    !   920501  Reformatted the REFERENCES section.  (WRB)
+    !***END PROLOGUE  J4SAVE
+    LOGICAL :: ISET
+    INTEGER :: IPARAM(9)
+    SAVE IPARAM
+    DATA IPARAM(1), IPARAM(2), IPARAM(3), IPARAM(4)/0, 2, 0, 10/
+    DATA IPARAM(5)/1/
+    DATA IPARAM(6), IPARAM(7), IPARAM(8), IPARAM(9)/0, 0, 0, 0/
+    INTEGER :: J4SAVE, IWHICH, IVALUE
+    !***FIRST EXECUTABLE STATEMENT  J4SAVE
+    J4SAVE = IPARAM(IWHICH)
+    IF (ISET) IPARAM(IWHICH) = IVALUE
+
+  END FUNCTION J4SAVE
+
 
 END MODULE lmdz_xer
Index: /LMDZ6/branches/Amaury_dev/libf/misc/q_sat.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/q_sat.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/q_sat.f90	(revision 5116)
@@ -19,5 +19,5 @@
   !======================================================================
 
-  integer :: np
+  INTEGER :: np
   REAL :: temp(np),pres(np),qsat(np)
 
@@ -39,6 +39,6 @@
   PARAMETER (retv=28.9644/18.0153 - 1.0)
 
-  real :: zqsat
-  integer :: ip
+  REAL :: zqsat
+  INTEGER :: ip
 
   ! ------------------------------------------------------------------
@@ -47,6 +47,6 @@
   do ip=1,np
 
-   ! write(*,*)'kelvin,millibar=',kelvin,millibar
-   !  write(*,*)'temp,pres=',temp(ip),pres(ip)
+   ! WRITE(*,*)'kelvin,millibar=',kelvin,millibar
+   !  WRITE(*,*)'temp,pres=',temp(ip),pres(ip)
 
      IF (temp(ip) <= rtt) THEN
@@ -63,5 +63,5 @@
 
      qsat(ip)= zqsat
-   ! write(*,*)'qsat=',qsat(ip)
+   ! WRITE(*,*)'qsat=',qsat(ip)
 
   enddo
Index: /LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5116)
@@ -30,7 +30,7 @@
     ! "vs" has rank 1.
 
-    use lmdz_assert_eq, only: assert_eq
-    use lmdz_assert, only: assert
-    use interpolation, only: locate
+    use lmdz_assert_eq, ONLY: assert_eq
+    use lmdz_assert, ONLY: assert
+    use lmdz_interpolation, ONLY: locate
 
     real, intent(in):: vs(:) ! values of steps on the source grid
@@ -81,5 +81,5 @@
     END DO
 
-  end function regr11_step_av
+  END FUNCTION regr11_step_av
 
   !********************************************
@@ -89,7 +89,7 @@
     ! "vs" has rank 2.
 
-    use lmdz_assert_eq, only: assert_eq
-    use lmdz_assert, only: assert
-    use interpolation, only: locate
+    use lmdz_assert_eq, ONLY: assert_eq
+    use lmdz_assert, ONLY: assert
+    use lmdz_interpolation, ONLY: locate
 
     real, intent(in):: vs(:, :) ! values of steps on the source grid
@@ -141,5 +141,5 @@
     END DO
 
-  end function regr12_step_av
+  END FUNCTION regr12_step_av
 
   !********************************************
@@ -149,7 +149,7 @@
     ! "vs" has rank 3.
 
-    use lmdz_assert_eq, only: assert_eq
-    use lmdz_assert, only: assert
-    use interpolation, only: locate
+    use lmdz_assert_eq, ONLY: assert_eq
+    use lmdz_assert, ONLY: assert
+    use lmdz_interpolation, ONLY: locate
 
     real, intent(in):: vs(:, :, :) ! values of steps on the source grid
@@ -202,5 +202,5 @@
     END DO
 
-  end function regr13_step_av
+  END FUNCTION regr13_step_av
 
   !********************************************
@@ -210,7 +210,7 @@
     ! "vs" has rank 4.
 
-    use lmdz_assert_eq, only: assert_eq
-    use lmdz_assert, only: assert
-    use interpolation, only: locate
+    use lmdz_assert_eq, ONLY: assert_eq
+    use lmdz_assert, ONLY: assert
+    use lmdz_interpolation, ONLY: locate
 
     real, intent(in):: vs(:, :, :, :) ! values of steps on the source grid
@@ -264,5 +264,5 @@
     END DO
 
-  end function regr14_step_av
+  END FUNCTION regr14_step_av
 
 end module regr1_step_av_m
Index: /LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90	(revision 5116)
@@ -3,5 +3,5 @@
   USE lmdz_assert_eq,   ONLY: assert_eq
   USE lmdz_assert,      ONLY: assert
-  USE interpolation, ONLY: locate
+  use lmdz_interpolation, ONLY: locate
 
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5116)
@@ -3,5 +3,5 @@
   USE lmdz_assert_eq,   ONLY: assert_eq
   USE lmdz_assert,      ONLY: assert
-  USE interpolation, ONLY: hunt
+  use lmdz_interpolation, ONLY: hunt
 
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90	(revision 5116)
@@ -20,5 +20,5 @@
 #ifdef USE_VT
     include 'VT.inc'
-    integer :: ierr
+    INTEGER :: ierr
     
     CALL VTSYMDEF(VTcaldyn,"caldyn","caldyn",ierr)
@@ -33,5 +33,5 @@
 #ifdef USE_MPE
     include 'mpe_logf.h' 
-    integer :: ierr,i
+    INTEGER :: ierr,i
     
     DO i=1,nb_inst
@@ -54,5 +54,5 @@
 #ifdef USE_VT    
     include 'VT.inc'
-    integer :: ierr
+    INTEGER :: ierr
     
     CALL VTBEGIN(number,ierr)
@@ -60,5 +60,5 @@
 #ifdef USE_MPE
     include 'mpe_logf.h' 
-    integer :: ierr,i
+    INTEGER :: ierr,i
     ierr = MPE_Log_event( MPE_begin(number), 0, '' )
 #endif
@@ -71,5 +71,5 @@
 #ifdef USE_VT    
     include 'VT.inc'
-    integer :: ierr
+    INTEGER :: ierr
    
     CALL VTEND(number,ierr)
@@ -78,5 +78,5 @@
 #ifdef USE_MPE
     include 'mpe_logf.h' 
-    integer :: ierr,i
+    INTEGER :: ierr,i
     ierr = MPE_Log_event( MPE_end(number), 0, '' )
 #endif
Index: /LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90	(revision 5116)
@@ -12,5 +12,5 @@
   integer, dimension(MaxWriteField), save :: FieldVarId
   integer, dimension(MaxWriteField), save :: FieldIndex
-  character(len = 255), dimension(MaxWriteField) :: FieldName
+  CHARACTER(LEN = 255), dimension(MaxWriteField) :: FieldName
 
   integer, save :: NbField = 0
@@ -23,9 +23,9 @@
   function GetFieldIndex(name)
     IMPLICIT NONE
-    integer :: GetFieldindex
-    character(len = *) :: name
-
-    character(len = 255) :: TrueName
-    integer :: i
+    INTEGER :: GetFieldindex
+    CHARACTER(LEN = *) :: name
+
+    CHARACTER(LEN = 255) :: TrueName
+    INTEGER :: i
 
     TrueName = TRIM(ADJUSTL(name))
@@ -33,14 +33,14 @@
     GetFieldIndex = -1
     do i = 1, NbField
-      if (TrueName==FieldName(i)) then
+      if (TrueName==FieldName(i)) THEN
         GetFieldIndex = i
         exit
       endif
     enddo
-  end function GetFieldIndex
+  END FUNCTION GetFieldIndex
 
   subroutine WriteField3d(name, Field)
     IMPLICIT NONE
-    character(len = *) :: name
+    CHARACTER(LEN = *) :: name
     real, dimension(:, :, :) :: Field
     integer, dimension(3) :: Dim
@@ -49,9 +49,9 @@
     CALL WriteField_gen(name, Field, Dim(1), Dim(2), Dim(3))
 
-  end subroutine WriteField3d
+  END SUBROUTINE WriteField3d
 
   subroutine WriteField2d(name, Field)
     IMPLICIT NONE
-    character(len = *) :: name
+    CHARACTER(LEN = *) :: name
     real, dimension(:, :) :: Field
     integer, dimension(2) :: Dim
@@ -60,9 +60,9 @@
     CALL WriteField_gen(name, Field, Dim(1), Dim(2), 1)
 
-  end subroutine WriteField2d
+  END SUBROUTINE WriteField2d
 
   subroutine WriteField1d(name, Field)
     IMPLICIT NONE
-    character(len = *) :: name
+    CHARACTER(LEN = *) :: name
     real, dimension(:) :: Field
     integer, dimension(1) :: Dim
@@ -71,19 +71,19 @@
     CALL WriteField_gen(name, Field, Dim(1), 1, 1)
 
-  end subroutine WriteField1d
+  END SUBROUTINE WriteField1d
 
   subroutine WriteField_gen(name, Field, dimx, dimy, dimz)
     IMPLICIT NONE
-    character(len = *) :: name
-    integer :: dimx, dimy, dimz
+    CHARACTER(LEN = *) :: name
+    INTEGER :: dimx, dimy, dimz
     real, dimension(dimx, dimy, dimz) :: Field
     integer, dimension(dimx * dimy * dimz) :: ndex
-    integer :: status
-    integer :: index
-    integer :: start(4)
-    integer :: count(4)
+    INTEGER :: status
+    INTEGER :: index
+    INTEGER :: start(4)
+    INTEGER :: count(4)
 
     Index = GetFieldIndex(name)
-    if (Index==-1) then
+    if (Index==-1) THEN
       CALL CreateNewField(name, dimx, dimy, dimz)
       Index = GetFieldIndex(name)
@@ -105,12 +105,12 @@
     status = nf90_sync(FieldId(Index))
 
-  end subroutine WriteField_gen
+  END SUBROUTINE WriteField_gen
 
   subroutine CreateNewField(name, dimx, dimy, dimz)
     IMPLICIT NONE
-    character(len = *) :: name
-    integer :: dimx, dimy, dimz
-    integer :: TabDim(4)
-    integer :: status
+    CHARACTER(LEN = *) :: name
+    INTEGER :: dimx, dimy, dimz
+    INTEGER :: TabDim(4)
+    INTEGER :: status
 
     NbField = NbField + 1
@@ -126,5 +126,5 @@
     status = nf90_enddef(FieldId(NbField))
 
-  end subroutine CreateNewField
+  END SUBROUTINE CreateNewField
 
   subroutine write_field1D(name, Field)
@@ -132,16 +132,16 @@
 
     integer, parameter :: MaxDim = 1
-    character(len = *) :: name
+    CHARACTER(LEN = *) :: name
     real, dimension(:) :: Field
     real, dimension(:), allocatable :: New_Field
-    character(len = 20) :: str
+    CHARACTER(LEN = 20) :: str
     integer, dimension(MaxDim) :: Dim
-    integer :: i, nb
+    INTEGER :: i, nb
     integer, parameter :: id = 10
     integer, parameter :: NbCol = 4
-    integer :: ColumnSize
-    integer :: pos
-    character(len = 255) :: form
-    character(len = 255) :: MaxLen
+    INTEGER :: ColumnSize
+    INTEGER :: pos
+    CHARACTER(LEN = 255) :: form
+    CHARACTER(LEN = 255) :: MaxLen
 
     open(unit = id, file = name // '.field', form = 'formatted', status = 'replace')
@@ -155,5 +155,5 @@
       nb = nb + 1
 
-      if (MOD(nb, NbCol)==0) then
+      if (MOD(nb, NbCol)==0) THEN
         form = '(t' // trim(int2str(pos)) // ',i' // trim(MaxLen) // '," ---> ",g22.16,/)'
         Pos = 2
@@ -167,5 +167,5 @@
     close(id)
 
-  end subroutine write_field1D
+  END SUBROUTINE write_field1D
 
   subroutine write_field2D(name, Field)
@@ -173,16 +173,16 @@
 
     integer, parameter :: MaxDim = 2
-    character(len = *) :: name
+    CHARACTER(LEN = *) :: name
     real, dimension(:, :) :: Field
     real, dimension(:, :), allocatable :: New_Field
-    character(len = 20) :: str
+    CHARACTER(LEN = 20) :: str
     integer, dimension(MaxDim) :: Dim
-    integer :: i, j, nb
+    INTEGER :: i, j, nb
     integer, parameter :: id = 10
     integer, parameter :: NbCol = 4
-    integer :: ColumnSize
-    integer :: pos, offset
-    character(len = 255) :: form
-    character(len = 255) :: spacing
+    INTEGER :: ColumnSize
+    INTEGER :: pos, offset
+    CHARACTER(LEN = 255) :: form
+    CHARACTER(LEN = 255) :: spacing
 
     open(unit = id, file = name // '.field', form = 'formatted', status = 'replace')
@@ -201,5 +201,5 @@
         nb = nb + 1
 
-        if (MOD(nb, NbCol)==0) then
+        if (MOD(nb, NbCol)==0) THEN
           form = '(t' // trim(int2str(pos)) // &
                   ',"(' // trim(int2str(j)) // ','          &
@@ -218,5 +218,5 @@
         write (id, form, advance = 'no') Field(j, i)
       enddo
-      if (MOD(nb, NbCol)==0) then
+      if (MOD(nb, NbCol)==0) THEN
         write (id, spacing)
       else
@@ -226,5 +226,5 @@
     enddo
 
-  end subroutine write_field2D
+  END SUBROUTINE write_field2D
 
   subroutine write_field3D(name, Field)
@@ -232,15 +232,15 @@
 
     integer, parameter :: MaxDim = 3
-    character(len = *) :: name
+    CHARACTER(LEN = *) :: name
     real, dimension(:, :, :) :: Field
     real, dimension(:, :, :), allocatable :: New_Field
     integer, dimension(MaxDim) :: Dim
-    integer :: i, j, k, nb
+    INTEGER :: i, j, k, nb
     integer, parameter :: id = 10
     integer, parameter :: NbCol = 4
-    integer :: ColumnSize
-    integer :: pos, offset
-    character(len = 255) :: form
-    character(len = 255) :: spacing
+    INTEGER :: ColumnSize
+    INTEGER :: pos, offset
+    CHARACTER(LEN = 255) :: form
+    CHARACTER(LEN = 255) :: spacing
 
     open(unit = id, file = name // '.field', form = 'formatted', status = 'replace')
@@ -264,5 +264,5 @@
           nb = nb + 1
 
-          if (MOD(nb, NbCol)==0) then
+          if (MOD(nb, NbCol)==0) THEN
             form = '(t' // trim(int2str(pos)) // &
                     ',"(' // trim(int2str(k)) // ','          &
@@ -284,5 +284,5 @@
           write (id, form, advance = 'no') Field(k, j, i)
         enddo
-        if (MOD(nb, NbCol)==0) then
+        if (MOD(nb, NbCol)==0) THEN
           write (id, spacing)
         else
@@ -296,5 +296,5 @@
     close(id)
 
-  end subroutine write_field3D
+  END SUBROUTINE write_field3D
 
 end module write_field
